std::ranges::forward_range(3cxx)

NAME
std::ranges::forward_range - A range for which ranges::begin returns a forward iterator.

SYNOPSIS

#include <ranges_base.h>

Concept definition

template<typename _Tp>
concept std::ranges::forward_range =  input_range<_Tp> && forward_iterator<iterator_t<_Tp>>

Detailed Description

A range for which ranges::begin returns a forward iterator.

Author

Generated automatically by Doxygen for libstdc++ from the source code.